## r-cran-vcr 0.2.2+dfsg

=== DESCRIPTION ===
Package: vcr
Title: Record 'HTTP' Calls to Disk
Description: Record test suite 'HTTP' requests and replays them during
    future runs. A port of the Ruby gem of the same name 
    (<https://github.com/vcr/vcr/>). Works by hooking into the 'webmockr'
    R package for matching 'HTTP' requests by various rules ('HTTP' method, 
    'URL', query parameters, headers, body, etc.), and then caching
    real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP' requests 
    matching any previous requests in the same 'cassette' use a cached 
    'HTTP' response. 
Version: 0.2.2
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "sckott@protonmail.com", comment = c(ORCID="0000-0003-1444-9135")))
URL: https://github.com/ropensci/vcr/ (devel)
        https://ropensci.github.io/http-testing-book/ (user manual)
BugReports: https://github.com/ropensci/vcr/issues
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
VignetteBuilder: knitr
Imports: crul (>= 0.7.0), httr, webmockr (>= 0.3.0), urltools, yaml,
        R6, lazyeval, base64enc
Suggests: jsonlite, testthat, knitr, rmarkdown
RoxygenNote: 6.1.1
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2019-01-13 21:03:58 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <sckott@protonmail.com>
Repository: CRAN
Date/Publication: 2019-01-13 21:20:02 UTC

## r-cran-vcr 0.1.0+dfsg

=== debian/changelog ===
r-cran-vcr (0.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #900123)

 -- Andreas Tille <tille@debian.org>  Sat, 26 May 2018 15:09:12 +0200

=== debian/control ===
Source: r-cran-vcr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-crul,
               r-cran-webmockr,
               r-cran-urltools,
               r-cran-yaml,
               r-cran-r6,
               r-cran-lazyeval,
               r-cran-base64enc
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
Homepage: https://cran.r-project.org/package=vcr

Package: r-cran-vcr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R record HTTP calls to disk
 Record test suite 'HTTP' requests and replays them during future runs. A
 port of the Ruby gem of the same name. Works by hooking into the
 'webmockr' R package for matching 'HTTP' requests by various rules
 ('HTTP' method, 'URL', query parameters, headers, body, etc.), and then
 caching real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP'
 requests matching any previous requests in the same 'cassette' use a
 cached 'HTTP' response.

## r-cran-vcr 0.2.2+dfsg

=== debian/changelog ===
r-cran-vcr (0.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Tue, 15 Jan 2019 10:58:26 +0100

r-cran-vcr (0.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 10:51:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-crul,
+               r-cran-httr,
                r-cran-webmockr,
                r-cran-urltools,
                r-cran-yaml,
                r-cran-r6,
                r-cran-lazyeval,
                r-cran-base64enc
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
 Homepage: https://cran.r-project.org/package=vcr

## r-cran-vcr 0.2.6+dfsg

=== debian/changelog ===
r-cran-vcr (0.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 20:43:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-crul,
                r-cran-httr,
-               r-cran-webmockr,
+               r-cran-webmockr (>= 0.3.4),
                r-cran-urltools,
                r-cran-yaml,
                r-cran-r6,

## r-cran-vcr 0.4.0%2Bdfsg

=== debian/changelog ===
r-cran-vcr (0.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Jan 2020 21:05:24 +0100

r-cran-vcr (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Test-Depends: r-cran-desc

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 13:58:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-crul,
+               r-cran-crul (>= 0.8.4),
                r-cran-httr,
-               r-cran-webmockr (>= 0.3.4),
+               r-cran-webmockr (>= 0.5.0),
                r-cran-urltools,
                r-cran-yaml,
                r-cran-r6,
                r-cran-lazyeval,
                r-cran-base64enc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
 Homepage: https://cran.r-project.org/package=vcr

## r-cran-vcr 0.4.0+dfsg

=== DESCRIPTION ===
Package: vcr
Title: Record 'HTTP' Calls to Disk
Description: Record test suite 'HTTP' requests and replays them during
    future runs. A port of the Ruby gem of the same name
    (<https://github.com/vcr/vcr/>). Works by hooking into the 'webmockr'
    R package for matching 'HTTP' requests by various rules ('HTTP' method,
    'URL', query parameters, headers, body, etc.), and then caching
    real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP' requests
    matching any previous requests in the same 'cassette' use a cached
    'HTTP' response.
Version: 0.4.0
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "sckott@protonmail.com", 
    comment = c(ORCID="0000-0003-1444-9135")))
URL: https://github.com/ropensci/vcr/ (devel)
        https://books.ropensci.org/http-testing/ (user manual)
BugReports: https://github.com/ropensci/vcr/issues
License: MIT + file LICENSE
Encoding: UTF-8
Language: en-US
LazyData: true
VignetteBuilder: knitr
Imports: crul (>= 0.8.4), httr, webmockr (>= 0.5.0), urltools, yaml,
        R6, lazyeval, base64enc
Suggests: roxygen2 (>= 7.0.2), jsonlite, testthat, knitr, rmarkdown,
        desc, crayon, cli, curl
RoxygenNote: 7.0.2
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2019-12-07 17:01:42 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <sckott@protonmail.com>
Repository: CRAN
Date/Publication: 2019-12-07 17:20:02 UTC

## r-cran-vcr 0.5.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -8,10 +8,12 @@
     real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP' requests
     matching any previous requests in the same 'cassette' use a cached
     'HTTP' response.
-Version: 0.4.0
+Version: 0.5.4
 Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
     email = "sckott@protonmail.com", 
-    comment = c(ORCID="0000-0003-1444-9135")))
+    comment = c(ORCID="0000-0003-1444-9135")),
+    person("Aaron", "Wolen", role = "ctb",
+    comment = c(ORCID="0000-0003-2542-2202")))
 URL: https://github.com/ropensci/vcr/ (devel)
         https://books.ropensci.org/http-testing/ (user manual)
 BugReports: https://github.com/ropensci/vcr/issues
@@ -20,18 +22,19 @@
 Language: en-US
 LazyData: true
 VignetteBuilder: knitr
-Imports: crul (>= 0.8.4), httr, webmockr (>= 0.5.0), urltools, yaml,
+Imports: crul (>= 0.8.4), httr, webmockr (>= 0.6.2), urltools, yaml,
         R6, lazyeval, base64enc
 Suggests: roxygen2 (>= 7.0.2), jsonlite, testthat, knitr, rmarkdown,
         desc, crayon, cli, curl
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, mock,
         mocking, http-mocking, testing, testing-tools, tdd
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2019-12-07 17:01:42 UTC; sckott
-Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
+Packaged: 2020-03-31 15:11:03 UTC; sckott
+Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
+  Aaron Wolen [ctb] (<https://orcid.org/0000-0003-2542-2202>)
 Maintainer: Scott Chamberlain <sckott@protonmail.com>
 Repository: CRAN
-Date/Publication: 2019-12-07 17:20:02 UTC
+Date/Publication: 2020-03-31 15:30:02 UTC

=== debian/changelog ===
r-cran-vcr (0.5.4+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 09:43:44 +0200

r-cran-vcr (0.5.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Apr 2020 09:31:30 +0200

r-cran-vcr (0.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 Mar 2020 11:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
                r-base-dev,
                r-cran-crul (>= 0.8.4),
                r-cran-httr,
-               r-cran-webmockr (>= 0.5.0),
+               r-cran-webmockr (>= 0.6.2),
                r-cran-urltools,
                r-cran-yaml,
                r-cran-r6,
                r-cran-lazyeval,
                r-cran-base64enc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
 Homepage: https://cran.r-project.org/package=vcr
+Rules-Requires-Root: no
 
 Package: r-cran-vcr
 Architecture: all

## r-cran-vcr 0.6.0+dfsg

=== DESCRIPTION ===
Package: vcr
Title: Record 'HTTP' Calls to Disk
Description: Record test suite 'HTTP' requests and replays them during
    future runs. A port of the Ruby gem of the same name
    (<https://github.com/vcr/vcr/>). Works by hooking into the 'webmockr'
    R package for matching 'HTTP' requests by various rules ('HTTP' method,
    'URL', query parameters, headers, body, etc.), and then caching
    real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP' requests
    matching any previous requests in the same 'cassette' use a cached
    'HTTP' response.
Version: 0.6.0
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "sckott@protonmail.com", 
    comment = c(ORCID="0000-0003-1444-9135")),
    person("Aaron", "Wolen", role = "ctb",
    comment = c(ORCID="0000-0003-2542-2202")),
    person("Maëlle", "Salmon", role = "ctb",
    comment = c(ORCID="0000-0002-2815-0399")),
    person("rOpenSci", role = "fnd", comment = "https://ropensci.org"))
URL: https://github.com/ropensci/vcr/ (devel)
        https://books.ropensci.org/http-testing/ (user manual)
BugReports: https://github.com/ropensci/vcr/issues
License: MIT + file LICENSE
Encoding: UTF-8
Language: en-US
LazyData: true
VignetteBuilder: knitr
SystemRequirements: C++11
LinkingTo: cpp11
Imports: crul (>= 0.8.4), httr, webmockr (>= 0.7.4), urltools, yaml,
        R6, base64enc
Suggests: roxygen2 (>= 7.0.2), jsonlite, testthat, knitr, rmarkdown,
        desc, crayon, cli, curl, withr
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-12-12 17:14:50 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
  Aaron Wolen [ctb] (<https://orcid.org/0000-0003-2542-2202>),
  Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>),
  rOpenSci [fnd] (https://ropensci.org)
Maintainer: Scott Chamberlain <sckott@protonmail.com>
Repository: CRAN
Date/Publication: 2020-12-12 17:30:02 UTC

=== debian/changelog ===
r-cran-vcr (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 18:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,27 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-crul (>= 0.8.4),
                r-cran-httr,
-               r-cran-webmockr (>= 0.6.2),
+               r-cran-webmockr (>= 0.7.4),
                r-cran-urltools,
                r-cran-yaml,
                r-cran-r6,
-               r-cran-lazyeval,
-               r-cran-base64enc
-Standards-Version: 4.5.0
+               r-cran-base64enc,
+               r-cran-cpp11
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
 Homepage: https://cran.r-project.org/package=vcr
 Rules-Requires-Root: no
 
 Package: r-cran-vcr
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-desc
Restrictions: allow-stderr

## r-cran-vcr 1.0.2%2Bdfsg

=== debian/changelog ===
r-cran-vcr (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 13:42:34 +0200

## r-cran-vcr 1.0.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -8,7 +8,7 @@
     real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP' requests
     matching any previous requests in the same 'cassette' use a cached
     'HTTP' response.
-Version: 0.6.0
+Version: 1.0.2
 Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
     email = "sckott@protonmail.com", 
     comment = c(ORCID="0000-0003-1444-9135")),
@@ -27,9 +27,9 @@
 VignetteBuilder: knitr
 SystemRequirements: C++11
 LinkingTo: cpp11
-Imports: crul (>= 0.8.4), httr, webmockr (>= 0.7.4), urltools, yaml,
-        R6, base64enc
-Suggests: roxygen2 (>= 7.0.2), jsonlite, testthat, knitr, rmarkdown,
+Imports: crul (>= 0.8.4), httr, webmockr (>= 0.8.0), urltools, yaml,
+        R6, base64enc, rprojroot
+Suggests: roxygen2 (>= 7.1.1), jsonlite, testthat, knitr, rmarkdown,
         desc, crayon, cli, curl, withr
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, mock,
@@ -37,11 +37,11 @@
 X-schema.org-isPartOf: https://ropensci.org
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2020-12-12 17:14:50 UTC; sckott
+Packaged: 2021-05-31 17:44:05 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
   Aaron Wolen [ctb] (<https://orcid.org/0000-0003-2542-2202>),
   Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>),
   rOpenSci [fnd] (https://ropensci.org)
 Maintainer: Scott Chamberlain <sckott@protonmail.com>
 Repository: CRAN
-Date/Publication: 2020-12-12 17:30:02 UTC
+Date/Publication: 2021-05-31 18:00:02 UTC

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                r-base-dev,
                r-cran-crul (>= 0.8.4),
                r-cran-httr,
-               r-cran-webmockr (>= 0.7.4),
+               r-cran-webmockr (>= 0.8.0),
                r-cran-urltools,
                r-cran-yaml,
                r-cran-r6,
                r-cran-base64enc,
+               r-cran-rprojroot,
                r-cran-cpp11
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/vcr_([-\d.]*)\.tar\.gz

## r-cran-vcr 1.2.0+dfsg

=== DESCRIPTION ===
Package: vcr
Title: Record 'HTTP' Calls to Disk
Description: Record test suite 'HTTP' requests and replays them during
    future runs. A port of the Ruby gem of the same name
    (<https://github.com/vcr/vcr/>). Works by hooking into the 'webmockr'
    R package for matching 'HTTP' requests by various rules ('HTTP' method,
    'URL', query parameters, headers, body, etc.), and then caching
    real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP' requests
    matching any previous requests in the same 'cassette' use a cached
    'HTTP' response.
Version: 1.2.0
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "sckott@protonmail.com", 
    comment = c(ORCID="0000-0003-1444-9135")),
    person("Aaron", "Wolen", role = "aut",
    comment = c(ORCID="0000-0003-2542-2202")),
    person("Maëlle", "Salmon", role = "aut",
    comment = c(ORCID="0000-0002-2815-0399")),
    person("Daniel", "Possenriede", role = "aut",
    comment = c(ORCID="0000-0002-6738-9845")),
    person("rOpenSci", role = "fnd", comment = "https://ropensci.org"))
URL: https://github.com/ropensci/vcr/ (devel)
        https://books.ropensci.org/http-testing/ (user manual)
BugReports: https://github.com/ropensci/vcr/issues
License: MIT + file LICENSE
Encoding: UTF-8
Language: en-US
LazyData: true
VignetteBuilder: knitr
Imports: crul (>= 0.8.4), httr, webmockr (>= 0.8.0), urltools, yaml,
        R6, base64enc, rprojroot
Suggests: roxygen2 (>= 7.2.1), jsonlite, testthat, knitr, rmarkdown,
        desc, crayon, cli, curl, withr
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-11-17 18:49:27 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
  Aaron Wolen [aut] (<https://orcid.org/0000-0003-2542-2202>),
  Maëlle Salmon [aut] (<https://orcid.org/0000-0002-2815-0399>),
  Daniel Possenriede [aut] (<https://orcid.org/0000-0002-6738-9845>),
  rOpenSci [fnd] (https://ropensci.org)
Maintainer: Scott Chamberlain <sckott@protonmail.com>
Repository: CRAN
Date/Publication: 2022-11-17 19:00:02 UTC

=== debian/changelog ===
r-cran-vcr (1.2.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Architecture: all

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 16:06:42 +0100

r-cran-vcr (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 19:39:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-vcr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
+Homepage: https://cran.r-project.org/package=vcr
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,18 +18,12 @@
                r-cran-yaml,
                r-cran-r6,
                r-cran-base64enc,
-               r-cran-rprojroot,
-               r-cran-cpp11
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
-Homepage: https://cran.r-project.org/package=vcr
-Rules-Requires-Root: no
+               r-cran-rprojroot
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-vcr
-Architecture: any
+Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-vcr 1.2.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,13 @@
 Source: r-cran-vcr
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
-Homepage: https://cran.r-project.org/package=vcr
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-crul (>= 0.8.4),
+               r-cran-crul,
                r-cran-httr,
                r-cran-webmockr (>= 0.8.0),
                r-cran-urltools,
@@ -19,7 +15,11 @@
                r-cran-r6,
                r-cran-base64enc,
                r-cran-rprojroot
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
+Homepage: https://cran.r-project.org/package=vcr
+Rules-Requires-Root: no
 
 Package: r-cran-vcr
 Architecture: all

## r-cran-vcr 1.2.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -8,7 +8,7 @@
     real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP' requests
     matching any previous requests in the same 'cassette' use a cached
     'HTTP' response.
-Version: 1.2.0
+Version: 1.2.2
 Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
     email = "sckott@protonmail.com", 
     comment = c(ORCID="0000-0003-1444-9135")),
@@ -35,9 +35,9 @@
 X-schema.org-keywords: http, https, API, web-services, curl, mock,
         mocking, http-mocking, testing, testing-tools, tdd
 X-schema.org-isPartOf: https://ropensci.org
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-11-17 18:49:27 UTC; sckott
+Packaged: 2023-06-25 04:08:59 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
   Aaron Wolen [aut] (<https://orcid.org/0000-0003-2542-2202>),
   Maëlle Salmon [aut] (<https://orcid.org/0000-0002-2815-0399>),
@@ -45,4 +45,4 @@
   rOpenSci [fnd] (https://ropensci.org)
 Maintainer: Scott Chamberlain <sckott@protonmail.com>
 Repository: CRAN
-Date/Publication: 2022-11-17 19:00:02 UTC
+Date/Publication: 2023-06-25 12:30:02 UTC

=== debian/changelog ===
r-cran-vcr (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 17:42:10 +0200

## r-cran-vcr 1.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -8,7 +8,7 @@
     real 'HTTP' responses on disk in 'cassettes'. Subsequent 'HTTP' requests
     matching any previous requests in the same 'cassette' use a cached
     'HTTP' response.
-Version: 1.2.2
+Version: 1.6.0
 Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
     email = "sckott@protonmail.com", 
     comment = c(ORCID="0000-0003-1444-9135")),
@@ -19,25 +19,26 @@
     person("Daniel", "Possenriede", role = "aut",
     comment = c(ORCID="0000-0002-6738-9845")),
     person("rOpenSci", role = "fnd", comment = "https://ropensci.org"))
-URL: https://github.com/ropensci/vcr/ (devel)
-        https://books.ropensci.org/http-testing/ (user manual)
+URL: https://github.com/ropensci/vcr/,
+        https://books.ropensci.org/http-testing/,
+        https://docs.ropensci.org/vcr/
 BugReports: https://github.com/ropensci/vcr/issues
 License: MIT + file LICENSE
 Encoding: UTF-8
 Language: en-US
 LazyData: true
 VignetteBuilder: knitr
-Imports: crul (>= 0.8.4), httr, webmockr (>= 0.8.0), urltools, yaml,
-        R6, base64enc, rprojroot
+Imports: crul (>= 0.8.4), httr, httr2, webmockr (>= 0.8.0), urltools,
+        yaml, R6, base64enc, rprojroot
 Suggests: roxygen2 (>= 7.2.1), jsonlite, testthat, knitr, rmarkdown,
-        desc, crayon, cli, curl, withr
+        desc, crayon, cli, curl, withr, webfakes
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, mock,
         mocking, http-mocking, testing, testing-tools, tdd
 X-schema.org-isPartOf: https://ropensci.org
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-06-25 04:08:59 UTC; sckott
+Packaged: 2024-07-23 20:47:01 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
   Aaron Wolen [aut] (<https://orcid.org/0000-0003-2542-2202>),
   Maëlle Salmon [aut] (<https://orcid.org/0000-0002-2815-0399>),
@@ -45,4 +46,4 @@
   rOpenSci [fnd] (https://ropensci.org)
 Maintainer: Scott Chamberlain <sckott@protonmail.com>
 Repository: CRAN
-Date/Publication: 2023-06-25 12:30:02 UTC
+Date/Publication: 2024-07-23 21:40:02 UTC

=== debian/changelog ===
r-cran-vcr (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 12:59:37 +0900

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                r-base-dev,
                r-cran-crul,
                r-cran-httr,
+               r-cran-httr2,
                r-cran-webmockr (>= 0.8.0),
                r-cran-urltools,
                r-cran-yaml,
                r-cran-r6,
                r-cran-base64enc,
                r-cran-rprojroot
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vcr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vcr.git
 Homepage: https://cran.r-project.org/package=vcr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-roxygen2 (>= 7.2.1),
        r-cran-jsonlite,
        r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-desc,
        r-cran-crayon,
        r-cran-cli,
        r-cran-curl,
        r-cran-withr,
        r-cran-webfakes
Restrictions: allow-stderr
